"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transform = void 0;
var core_1 = require("@babel/core");
var prettier_1 = require("prettier");
var babel_plugin_1 = __importDefault(require("../babel-plugin"));
var transform = function (code, options) {
    if (options === void 0) { options = {}; }
    var nonce = options.nonce;
    var fileResult = core_1.transformSync(code, {
        babelrc: false,
        comments: false,
        configFile: false,
        plugins: [[babel_plugin_1.default, { nonce: nonce }]],
    });
    if (!fileResult || !fileResult.code) {
        return '';
    }
    var babelCode = fileResult.code;
    var ifIndex = babelCode.indexOf('if (process.env.NODE_ENV');
    // Remove the imports from the code, and the styled components display name
    var snippet = babelCode
        .substring(babelCode.indexOf('const'), ifIndex === -1 ? babelCode.length : ifIndex)
        .trim();
    return prettier_1.format(snippet, {
        parser: 'babel',
    });
};
exports.transform = transform;
//# sourceMappingURL=test-utils.js.map